import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { EnvDetailPage } from './env-detail.page';
import {WtModule} from '../../components/wt/wt.module';
import {EnvHomePage} from '../env-home/env-home.page';

const routes: Routes = [
  {
    path: '',
    component: EnvDetailPage,
      children: [
          {
              path: 'tab-2-fan',
              component: EnvHomePage
          },
      ]
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
      WtModule, // for test
    RouterModule.forChild(routes)
  ],
  declarations: [EnvDetailPage,
      EnvHomePage,]
})
export class EnvDetailPageModule {}
